<template>
  <div class="basic-ui">
    <div class="basic-ui-box">
      <h1>{{ title }}</h1>
      <b-card class="subtle-shadow">
        <slot></slot>
      </b-card>

      <div class="basic-layout-build-version">
        This is a <b-badge variant="danger" v-show="is_development">Dev</b-badge><b-badge variant="warning" v-show="!is_development">Alpha</b-badge> build
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'BasicLayout',
  props: {
    title: String
  },
  data() {
    return {
      is_development: process.env.NODE_ENV === 'development'
    }
  }
}
</script>

<style lang="scss">
.basic-ui {
  h1 {
    text-align: center;
    font-weight: 300;
  }

  .basic-ui-box {
    width: 450px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    .card {
      margin-top: 1rem;
      width: 100%;
      border: 0;

      .card-body {
        padding: 2rem;


        .custom-checkbox {
          display: inline-block;
        }

        button[type="submit"] {
          margin-top: 1rem;
        }
      }
    }

    .basic-layout-build-version {
      padding-top: 10px;
      text-align: center;
      font-size: 13px;
    }
  }
}
</style>
